<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">Morphology.Inflection</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Morphology.Inflection.html#inflect"><span class="hs-identifier">inflect</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-2"></span><span>
</span><span id="line-3"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="EuskeraAppError.html"><span class="hs-identifier">EuskeraAppError</span></a></span><span>
</span><span id="line-4"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Features.html"><span class="hs-identifier">Features</span></a></span><span>
</span><span id="line-5"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Lexis.html"><span class="hs-identifier">Lexis</span></a></span><span>
</span><span id="line-6"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Morphology.Nominal.html"><span class="hs-identifier">Morphology.Nominal</span></a></span><span>
</span><span id="line-7"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Morphology.Utils.html"><span class="hs-identifier">Morphology.Utils</span></a></span><span>
</span><span id="line-8"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Morphology.Verbal.html"><span class="hs-identifier">Morphology.Verbal</span></a></span><span>
</span><span id="line-9"></span><span>
</span><span id="line-10"></span><span class="hs-comment">-- | Lexis transformation into fully inflected word.</span><span>
</span><span id="line-11"></span><span class="annot"><a href="Morphology.Inflection.html#inflect"><span class="hs-identifier hs-type">inflect</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-type">Lexis</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Either</span></span><span> </span><span class="annot"><a href="EuskeraAppError.html#EuskeraAppError"><span class="hs-identifier hs-type">EuskeraAppError</span></a></span><span> </span><span class="annot"><a href="Morphology.Utils.html#InflectedWord"><span class="hs-identifier hs-type">InflectedWord</span></a></span><span>
</span><span id="line-12"></span><span id="inflect"><span class="annot"><span class="annottext">inflect :: Lexis -&gt; Either EuskeraAppError InflectedWord
</span><a href="Morphology.Inflection.html#inflect"><span class="hs-identifier hs-var hs-var">inflect</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#N"><span class="hs-identifier hs-type">N</span></a></span><span> </span><span id="local-6989586621679082252"><span class="annot"><span class="annottext">Nominal
</span><a href="#local-6989586621679082252"><span class="hs-identifier hs-var">noun</span></a></span></span><span> </span><span id="local-6989586621679082251"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082251"><span class="hs-identifier hs-var">nf</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">NF -&gt; Nominal -&gt; Either EuskeraAppError InflectedWord
</span><a href="Morphology.Nominal.html#inflectNominal"><span class="hs-identifier hs-var">inflectNominal</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082251"><span class="hs-identifier hs-var">nf</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><a href="#local-6989586621679082252"><span class="hs-identifier hs-var">noun</span></a></span><span>
</span><span id="line-13"></span><span class="annot"><a href="Morphology.Inflection.html#inflect"><span class="hs-identifier hs-var">inflect</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#V"><span class="hs-identifier hs-type">V</span></a></span><span> </span><span id="local-6989586621679082248"><span class="annot"><span class="annottext">Verb
</span><a href="#local-6989586621679082248"><span class="hs-identifier hs-var">verb</span></a></span></span><span> </span><span id="local-6989586621679082247"><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679082247"><span class="hs-identifier hs-var">vf</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">VF -&gt; Verb -&gt; Either EuskeraAppError InflectedWord
</span><a href="Morphology.Verbal.html#inflectVerb"><span class="hs-identifier hs-var">inflectVerb</span></a></span><span> </span><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679082247"><span class="hs-identifier hs-var">vf</span></a></span><span> </span><span class="annot"><span class="annottext">Verb
</span><a href="#local-6989586621679082248"><span class="hs-identifier hs-var">verb</span></a></span><span>
</span><span id="line-14"></span><span class="annot"><a href="Morphology.Inflection.html#inflect"><span class="hs-identifier hs-var">inflect</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#Adj"><span class="hs-identifier hs-type">Adj</span></a></span><span> </span><span id="local-6989586621679082244"><span class="annot"><span class="annottext">Adjective
</span><a href="#local-6989586621679082244"><span class="hs-identifier hs-var">adj</span></a></span></span><span> </span><span id="local-6989586621679082243"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082243"><span class="hs-identifier hs-var">nf</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">NF -&gt; Adjective -&gt; Either EuskeraAppError InflectedWord
</span><a href="Morphology.Nominal.html#inflectAdjective"><span class="hs-identifier hs-var">inflectAdjective</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082243"><span class="hs-identifier hs-var">nf</span></a></span><span> </span><span class="annot"><span class="annottext">Adjective
</span><a href="#local-6989586621679082244"><span class="hs-identifier hs-var">adj</span></a></span><span>
</span><span id="line-15"></span><span class="annot"><a href="Morphology.Inflection.html#inflect"><span class="hs-identifier hs-var">inflect</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#Adv"><span class="hs-identifier hs-type">Adv</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.Adverb.html#A"><span class="hs-identifier hs-type">A</span></a></span><span> </span><span id="local-6989586621679082239"><span class="annot"><span class="annottext">InflectedWord
</span><a href="#local-6989586621679082239"><span class="hs-identifier hs-var">adv</span></a></span></span><span class="hs-special">)</span><span> </span><span id="local-6989586621679082238"><span class="annot"><span class="annottext">AdvF
</span><a href="#local-6989586621679082238"><span class="hs-identifier hs-var">advf</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord -&gt; Either EuskeraAppError InflectedWord
forall a b. b -&gt; Either a b
</span><span class="hs-identifier hs-var">Right</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><a href="#local-6989586621679082239"><span class="hs-identifier hs-var">adv</span></a></span><span>
</span><span id="line-16"></span></pre></body></html>